import java.util.Enumeration;

/**
 * A RecordEnum holds a sequence of records that can be
 * accessed by the Enumeration protocol.  A record is typically
 * a multi-line String, such as in Unix refer(1) files, but
 * subclasses may override this.<p>
 *
 * Concrete subclasses must implement hasMoreElements() and nextElement().
 *
 * @author Oscar.Nierstrasz@acm.org
 * @version 1.0 1998-11-22
 */
public abstract class RecordEnum implements Enumeration {

	/**
	 * This method provides the default String representation
	 * as well as illustrating typical usage of the
	 * Enumeration interface.
	 */
	public String toString() {
		StringBuffer result = new StringBuffer();
		while (this.hasMoreElements()) {
			result.append(this.nextElement());
		}
		return result.toString();
	}
}
