/*
	Test to see if we can read from stdin on the Mac.
	
	Target>TargetSettings>Post-Linker = Java MacOS
	Target>JavaTarget>Virtual = Apple MRJ
	Linker>JavaMacOsSettings>MacOSJavaOutput = JBindery
	Linker>JavaMacOsSettings>RedirectStdin = Message Window
	
	Instead of popping up an input window when we read from stdin,
	we get an IOException!

	Set JavaTarget>Virtual to Metrowerks or MW JIT, and it works!
*/
import java.io.*;

public class IOTest {

	public static void main(String args[]) {
		System.out.println("Testing input from StringReader");
		doTest(new BufferedReader(testCase()));
		/* yields:
			Testing input from StringReader
			Read input line: first line
			Read input line: second line
		*/

		System.out.println("Testing input from System.in");
		doTest(new BufferedReader(new InputStreamReader(System.in)));
		/* yields:
			Testing input from System.in
			IOException: read error
		*/
	}
	
	public static void doTest(BufferedReader in) {
		String line;
		try {
			line = in.readLine();
			System.out.println("Read input line: " + line);
			line = in.readLine();
			System.out.println("Read input line: " + line);
		} catch (IOException err) {
			System.err.println("IOException: " + err.getMessage());
		}
	}
	
	public static Reader testCase() {
		return new StringReader("first line\n"
					+ "second line\n"
					+ "third line\n");
		// return new StringReader("");
	}
}
