/*
	Interface to TicTacToe game.
*/

import java.awt.*;
import java.awt.event.*;
import java.applet.Applet;

/**
 * This is just a prototype of the interface,
 * not connected to the game.  Lets you click
 * on places on the board, which then toggle
 * their values between x and o.
 */
public class ToggleGameApplet extends Applet
{
	class Place extends Panel {
		private Image image;
		private final Image oImage;
		private final Image xImage;
		
		Place(Image xImage, Image oImage) {
			this.xImage = xImage;
			this.oImage = oImage;
		}

		public void paint(Graphics g) {
			super.paint(g);
			Rectangle rect = g.getClipBounds();
			int h = rect.height;
			int w = rect.width;
			int offset = w/10;
			g.drawRect(0,0,w,h);
			if (image != null)
				g.drawImage(image, offset, offset, w-2*offset, h-2*offset, this);
		}

		public void toggle() {
			System.out.println("toggle");
			image = (image == oImage) ? xImage : oImage;
			repaint();
		}
	}

	public void init() 
	{
		Image xImage = getImage(getCodeBase(), "images/cross.gif");
		Image oImage = getImage(getCodeBase(), "images/not.gif");

		this.setLayout(new BorderLayout());
		this.setSize(400,400);

		Panel controls = new Panel();
		this.add("North", controls);
		controls.setLayout(new FlowLayout());
		controls.add(new Button("Start"));
		controls.add(new Button("Stop"));

		Panel grid = new Panel();
		this.add("Center", grid);
		
		int rows = 3;
		int cols = 3;
		grid.setLayout(new GridLayout(rows,cols));

		for (int i=0; i<rows*cols; i++) {
			Place p = new Place(xImage, oImage);
			p.addMouseListener(new MouseAdapter() {
				public void mouseClicked(MouseEvent e) {
					Place myPlace = (Place) e.getSource();
					myPlace.toggle();
				}
			});
			p.setBackground(Color.white);
			grid.add(p);
		}
	}

}
