package tictactoe;

/**
 * Bundles together information about a change of state
 * in a BoardGame.  Sent by AbstractBoardGame to its Observers.
 *
 * @see AbstractBoardGame#set
 * @see GameApplet#update
 *
 * @author Oscar.Nierstrasz@acm.org
 * @version 2.1 1999-03-31
 */
public class Move {
	public final int col;
	public final int row;
	public final char mark;
	public Move(int col, int row, char mark) {
		this.col = col;
		this.row = row;
		this.mark = mark;
	}
	public String toString() {
		return "Move(" + col + "," + row + "," + mark + ")";
	}
}