import junit.framework.*;

public class MoneyTest extends TestCase {
	private Money f12CHF;
	private Money f14CHF;

	public MoneyTest(String name) {
		super(name);
	}

	protected void setUp() {
		f12CHF = new Money(12, "CHF");
		f14CHF = new Money(14, "CHF");
	}

	public void testEquals() {
		assert(!f12CHF.equals(null));
		assertEquals(f12CHF, f12CHF);
		assertEquals(f12CHF, new Money(12, "CHF"));
		assert(!f12CHF.equals(f14CHF));
	}

	public void testSimpleAdd() {
		Money expected = new Money(26, "CHF");
		Money result = f12CHF.add(f14CHF);
		assertEquals(expected, result);
	}

	public static Test suite() {
		TestSuite suite = new TestSuite();
		suite.addTest(new MoneyTest("testEquals"));
		suite.addTest(new MoneyTest("testSimpleAdd"));
		return suite;
	}

}
