
import java.util.Stack;

/**
 * This class is an adaptor that delegates StackInterface
 * messages to a java.util.Stack instance.
 *
 * @author Oscar.Nierstrasz@acm.org
 * @version 1.0 1998-11-26
 */
public class SimpleWrappedStack implements StackInterface {
	protected Stack stack_;

	public SimpleWrappedStack() {
		stack_ = new Stack();
	}

	public boolean isEmpty() { return stack_.empty(); }
	public int size() { return stack_.size(); }
	
	public void push(Object item) throws AssertionException {
		stack_.push(item);
	}
	
	public Object top() throws AssertionException {
		return stack_.peek();
	}
	
	public void pop() throws AssertionException {
		stack_.pop();
	}
}
