/**
 * Driver for TicTacToe.
 * @author Oscar.Nierstrasz@acm.org
 * @version 1.2 1998-11-29
 */
import java.io.*;

public class GameDriver {
	public static void main(String args[]) {
		try {
			Player X = new Player('X');
			Player O = new Player('O');
			TicTacToe game = new TicTacToe(X, O);
			playGame(game);
		} catch (AssertionException err) {
			System.err.println("AssertionException caught in GameDriver");
			err.printStackTrace();
		}
	}
	
	public static void playGame(TicTacToe game) {
		try {
			do {
				System.out.print(game);
				game.update();
			} while(game.notOver());
			System.out.print(game);
			System.out.println("game over!");
		} catch (IOException err) {
			System.out.println("game terminated!");
		} catch (Exception err) {
			err.printStackTrace();
			System.exit(1);
		}
	}
}