package tictactoe;

import java.io.*;
import java.util.*;

/**
 * Interface for TicTacToe and Gomoku.
 * These are the additional methods needed for
 * the tictactoe package, but not needed by
 * remote clients.
 *
 * @see AbstractBoardGame
 *
 * @author Oscar.Nierstrasz@acm.org
 * @version 2.1 1999-03-31
 */
public interface BoardGame extends RemoteGame {
	/**
	 * Attempt to move to the given square
	 */
	public void move(int col, int row, Player p)
		throws AssertionException;
	/**
	 * @return the Player at the given square (possibly blank)
	 */
	public Player get(int col, int row)
		throws AssertionException;
	/**
	 * @return how many squares have no yet been played on
	 */
	public int squaresLeft();
	/**
	 * @return whether the arguments specify a valid square
	 */
	public boolean inRange(int col, int row);
	/**
	 * Run a generic test suite.
	 */
	public void test();
}
